<?php 
include('../../../../configuracion.php');
include('../config.php');

$id=1;
$datos = $db->row(TABLA,'*',"id=1");

$apppass = isset($_POST['apppass']) ? $_POST['apppass'] : NULL;
$nombre = isset($_POST['nombre']) ? $_POST['nombre'] : NULL;
$descripcion = isset($_POST['descripcion']) ? $_POST['descripcion'] : NULL;
$region = isset($_POST['region']) ? $_POST['region'] : NULL;
$comuna = isset($_POST['comuna']) ? $_POST['comuna'] : NULL;
$direccion = isset($_POST['direccion']) ? $_POST['direccion'] : NULL;
$telefono = isset($_POST['telefono']) ? $_POST['telefono'] : NULL;
$telefono_2 = isset($_POST['telefono_2']) ? $_POST['telefono_2'] : NULL;
$emergencia = isset($_POST['emergencia']) ? $_POST['emergencia'] : NULL;
$email = isset($_POST['email']) ? $_POST['email'] : NULL;
$email_2 = isset($_POST['email']) ? $_POST['email_2'] : NULL;
$horario = isset($_POST['horario']) ? $_POST['horario'] : NULL;
$facebook = isset($_POST['facebook']) ? $_POST['facebook'] : NULL;
$twitter = isset($_POST['twitter']) ? $_POST['twitter'] : NULL;
$google = isset($_POST['google']) ? $_POST['google'] : NULL;
$linkedin = isset($_POST['linkedin']) ? $_POST['linkedin'] : NULL;
$instagram = isset($_POST['instagram']) ? $_POST['instagram'] : NULL;
$youtube = isset($_POST['youtube']) ? $_POST['youtube'] : NULL;
$pinterest = isset($_POST['pinterest']) ? $_POST['pinterest'] : NULL;
$videohome = isset($_POST['videohome']) ? $_POST['videohome'] : NULL;
$rut = isset($_POST['rut']) ? $_POST['rut'] : NULL;
$lat = isset($_POST['lat']) ? $_POST['lat'] : NULL;
$lng = isset($_POST['lng']) ? $_POST['lng'] : NULL;
$address = isset($_POST['address']) ? $_POST['address'] : NULL;
$estado = isset($_POST['estado']) ? $_POST['estado'] : NULL;


$nombre = funcion::LimpiaComillaSimple($nombre);
$descripcion = funcion::LimpiaComillaSimple($descripcion);
$direccion = funcion::LimpiaComillaSimple($direccion);
$telefono = funcion::LimpiaComillaSimple($telefono);
$telefono_2 = funcion::LimpiaComillaSimple($telefono_2);
$emergencia = funcion::LimpiaComillaSimple($emergencia);
$email = funcion::LimpiaComillaSimple($email);
$email_2 = funcion::LimpiaComillaSimple($email_2);
$horario = funcion::LimpiaComillaSimple($horario);
$facebook = funcion::LimpiaComillaSimple($facebook);
$twitter = funcion::LimpiaComillaSimple($twitter);
$google = funcion::LimpiaComillaSimple($google);
$linkedin = funcion::LimpiaComillaSimple($linkedin);
$instagram = funcion::LimpiaComillaSimple($instagram);
$youtube = funcion::LimpiaComillaSimple($youtube);
$pinterest = funcion::LimpiaComillaSimple($pinterest);
$rut = funcion::LimpiaComillaSimple($rut);
$lat = funcion::LimpiaComillaSimple($lat);
$lng = funcion::LimpiaComillaSimple($lng);
$address = funcion::LimpiaComillaSimple($address);


$metatitle = isset($_POST['metatitle']) ? $_POST['metatitle'] : NULL;
$metadescription = isset($_POST['metadescription']) ? $_POST['metadescription'] : NULL;
$keywords = isset($_POST['keywords']) ? $_POST['keywords'] : NULL;


// ============================

$editor = $_SESSION['administrador_mago_id'];
$fecha_edicion = date('Y-m-d H:i:s');

		$datos_edicion = array(
			'nombre'				=> $db->string($nombre,html),
			'descripcion'		=> $db->string($descripcion,html),
            'region'            => @$region+0,
            'comuna'            => @$comuna+0,
			'direccion'			 => $db->string($direccion),
			'telefono'		     => $db->string($telefono),
			'telefono_2'		 => $db->string($telefono_2),
            'emergencia'		 => $db->string($emergencia),
            'email'		         => $db->string($email),
			'email_2'		         => $db->string($email_2),
            'horario'		     => $db->string($horario,html),
			'videohome'				=> $db->string($videohome,html),
            'facebook'		     => $db->string($facebook),
            'twitter'		     => $db->string($twitter),
            'google'		     => $db->string($google),
            'linkedin'		     => $db->string($linkedin),
            'instagram'		     => $db->string($instagram),
            'youtube'		     => $db->string($youtube),
            'pinterest'		     => $db->string($pinterest),
            'rut'		     => $db->string($rut),
            'lat'		     => $db->string($lat),
            'lng'		     => $db->string($lng),
			'address'		     => $db->string($address),
			'metatitle'			=> $db->string($metatitle),
			'metadescription'	=> $db->string($metadescription),
			'keywords'			=> $db->string($keywords),
            'editor'			 => @$editor+0,
			'fecha_edicion'		 => $db->string($fecha_edicion)
		);

		if ($db->update(TABLA,$datos_edicion,"id=1")==1) {
			$mensaje_respuesta = 'Edición exitosa.';
			$url_respuesta = MAGO."c/".MODULO."/editar/".$id;
		} else {
			$mensaje_respuesta = 'ERROR: No se pudo editar';
			$url_respuesta = MAGO."c/".MODULO."/editar/".$id;
		}



		if(isset($_FILES['escudo'])){    
			// Incluimos la clase Upload
			include_once 'class.upload.php';
			$imagen = new upload($_FILES['escudo']);
			
			// Comprobamos si se subió la imagen
			if ($imagen->uploaded) {
	
				  // Borramos las imágenes anteriores
			@unlink('../../../../imagenes/'.FOLDER.'/'.$datos->escudo);
			
			
				 
			// ===================================================================================
			// CREAMOS LA IMAGEN ORIGINAL
				  
				  $imagen->image_convert			= 'png';
				  $imagen->jpeg_quality				= 92;
				  $imagen->allowed					= array('image/*');
				  $imagen->file_new_name_body		= $id;
				  $imagen->file_new_name_ext		= 'png';
				  $imagen->image_resize				= true;
				  $imagen->image_background_color	= '';
				  $imagen->image_ratio_y			= true;
				  $imagen->image_x					= 800;
				  $imagen->image_y					= 800;
				  
				  $imagen->process('../../../../imagenes/'.FOLDER.'/');
				  if ($imagen->processed) {
					  
					// Subimos a la base de datos
					$datos = array(
						'escudo'	=> $db->string($imagen->file_dst_name),
					);		
					$db->update(TABLA,$datos,"id='$id'");	
					
					} else {
						$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
					}
			// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
			// ===================================================================================
				}
			}	



			
	if(isset($_FILES['imagen_back'])){    
		// Incluimos la clase Upload
		include_once 'class.upload.php';
		$imagen = new upload($_FILES['imagen_back']);
		
		// Comprobamos si se subió la imagen
		if ($imagen->uploaded) {

				// Borramos las imágenes anteriores
		@unlink('../../../../imagenes/'.FOLDER.'/'.$datos->imagen);
		 
	// ===================================================================================
	// CREAMOS LA IMAGEN ORIGINAL
		  
			$imagen->image_convert				= 'jpg';
			$imagen->jpeg_quality				= 92;
			$imagen->allowed					= array('image/*');
			$imagen->file_new_name_body			= $id.date("U")."back";
			$imagen->image_resize				= true;
			$imagen->image_ratio_crop			= true;
			$imagen->image_background_color		= '#FFFFFF';
			$imagen->image_x				    = 1900; /* Ancho */
			$imagen->image_y					= 749; /* Alto */
		  
			$imagen->process('../../../../imagenes/'.FOLDER.'/');
			if ($imagen->processed) {
				
			  // Subimos a la base de datos
			  $datos = array(
				  'imagen_back'	=> $db->string($imagen->file_dst_name),
			  );		
			  $db->update(TABLA,$datos,"id='$id'");	
			  
			  } else {
				  $mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
			  }
	// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
	// ===================================================================================
			
	}}		



        if(isset($_FILES['imagen_nueva'])){    
		// Incluimos la clase Upload
		include_once 'class.upload.php';
        $imagen = new upload($_FILES['imagen_nueva']);
		
		// Comprobamos si se subió la imagen
		if ($imagen->uploaded) {

              // Borramos las imágenes anteriores
		@unlink('../../../../imagenes/'.FOLDER.'/'.$datos->imagen);
		@unlink('../../../../imagenes/'.FOLDER.'/'.$datos->miniatura);
		@unlink('../../../../imagenes/'.FOLDER.'/'.$datos->recorte);
		
		
			 
		// ===================================================================================
		// CREAMOS LA IMAGEN ORIGINAL
			  
		$imagen->image_convert				= 'jpg';
		$imagen->jpeg_quality				= 92;
		$imagen->allowed					= array('image/*');
		$imagen->file_new_name_body			= $id.date("U");
		$imagen->image_resize				= true;
		$imagen->image_ratio_crop			= true;
		$imagen->image_background_color		= '#FFFFFF';
		$imagen->image_x				    = 1900; /* Ancho */
		$imagen->image_y					= 749; /* Alto */
			  
			  $imagen->process('../../../../imagenes/'.FOLDER.'/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'imagen'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
		// ===================================================================================
		
		
		// ===================================================================================
		// CREAMOS LA MINIATURA
		   
			  $imagen->image_convert			= 'png';
			  $imagen->jpeg_quality				= 92;
			  $imagen->file_new_name_body		= $id.'-min';
			  $imagen->file_new_name_ext		= 'png';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_fill			= true;
			  $imagen->image_background_color	= '';
			  $imagen->image_x					= 250; /* Ancho */
			  $imagen->image_y					= 190; /* Alto */
			  
			  $imagen->process('../../../../imagenes/'.FOLDER.'/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'miniatura'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA MINIATURA
		// ===================================================================================
		
		// ===================================================================================
		// CREAMOS EL RECORTE
		   
			  $imagen->image_convert			= 'png';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $id.'-rec';
			  $imagen->file_new_name_ext		= 'png';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_fill			= true;
			  $imagen->image_background_color	= '';
			  $imagen->image_x					= 100; /* Ancho */
			  $imagen->image_y					= 100; /* Alto */
			  
			  $imagen->process('../../../../imagenes/'.FOLDER.'/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'recorte'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DEL RECORTE
		// ===================================================================================
				
		}
		
		//======FIN DEL PROCESO DE LA IMAGEN 1=======

        }



echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>